FMB920 not supported 03.27.10 rev 182

I have 2 x FMB920 03.27.10 rev 182 and I cannot access them through Configurator as the firmware is not supported by any previous versions of Configurators listed on Teltonika site. I tried to get in contact with Teltonika Support wich seems to be INEXISTENT as I haven’t received no response back. It seems that Teltonika does this often to force you to upgrade to a newer device.
What can I do in this situation? Bin them?

Hi,

You are using a special firmware version for FMB920 to upgrade to the latest base firmware please create an HD ticket or contact your sales manager.If you don’t have any contacts with our Sale managers, please contact with them on our official website https://teltonika-gps.com/ and click on the “Contact Us” button. When you will click, please fill the form and submit it. Note: as a topic, please choose “Vehicle telematics”. Or you can send an e-mail with description of your situation to info@teltonika.lt

All the best.

This topic was automatically closed after 7 days. New replies are no longer allowed.